<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Debug APIs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Debug APIs<br/>
<small>
[<a class="el" href="group__group__tivx__api.html">1: TIOVX Interface Modules</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__debug.html#ga0e8f0fde3cb77b439a7959c81be96eae">tivx_print</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> zone, char *format,...)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal Printing Function.  <a href="#ga0e8f0fde3cb77b439a7959c81be96eae"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__debug.html#ga5797ddae3c7bdb48c9ebb0e466f841f4">tivx_set_debug_zone</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> zone)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets a zone bit in the debug mask.  <a href="#ga5797ddae3c7bdb48c9ebb0e466f841f4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__debug.html#gabe8239f2d4f812db4c3d345fd9d898da">tivx_clr_debug_zone</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> zone)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clears the zone bit in the mask.  <a href="#gabe8239f2d4f812db4c3d345fd9d898da"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__debug.html#gabb928f9e14e697cdc570f987406f355d">tivx_get_debug_zone</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> zone)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true or false if the zone bit is set or cleared.  <a href="#gabb928f9e14e697cdc570f987406f355d"></a><br/></td></tr>
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__debug.html#ga73f8b7d2888a862fd66f8f479eead7e6">tivx_debug_zone_e</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6aa19e0c8703dcf780cb8ab61c0efacc0a">VX_ZONE_ERROR</a> =  0, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6ace77c1c6899d7c6c59d400e4e4994e8a">VX_ZONE_WARNING</a> =  1, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6aa37812d0dd2a5a69c52fe860d2f7e111">VX_ZONE_API</a> =  2, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a6b3ec6ddfa7a8fd71e010d4347667a5b">VX_ZONE_INFO</a> =  3, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a57e7db962a6cf774c1396511e97f538b">VX_ZONE_PERF</a> =  4, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6afd03bede6f2f825c9aedc5a8c03516eb">VX_ZONE_CONTEXT</a> =  5, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a0bfdefe07821d074d25ccab85afc4cf2">VX_ZONE_OSAL</a> =  6, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a1daf11c73347cad85751096ce4dc1fd6">VX_ZONE_REFERENCE</a> =  7, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a711598b3ae9e933d0dc7c3f9849259f3">VX_ZONE_ARRAY</a> =  8, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a644a57c10d705024e8f9d3561151b122">VX_ZONE_IMAGE</a> =  9, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6af2dca20f9cf9ef98e3c95978be2c4105">VX_ZONE_SCALAR</a> =  10, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6ab194f925dfcc3578a1d91bb0c4348161">VX_ZONE_KERNEL</a> =  11, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6aa7f4d50c2660ab4a48b814c1ef2c74ad">VX_ZONE_GRAPH</a> =  12, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6abc5579797158498c7d2f2ab50117b1ca">VX_ZONE_NODE</a> =  13, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6ad8534e53bc822b147668fe60460079b1">VX_ZONE_PARAMETER</a> =  14, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a6a43f2f5b061680be12cd130afb7f51e">VX_ZONE_DELAY</a> =  15, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a40b9cd204da933d489b200b4139dad75">VX_ZONE_TARGET</a> =  16, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a40ed6ed797e8e72f5dd6164f55914f28">VX_ZONE_LOG</a> =  17, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6afe119f8d2f8885ed623e54eaf9c428e9">VX_ZONE_INIT</a> =  18, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a0f7851b66b71b06268e24f3dedb2a23f">VX_ZONE_MAX</a> =  32
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>These are the bit flags for debugging. </p>
 <a href="group__group__vx__debug.html#ga73f8b7d2888a862fd66f8f479eead7e6">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__debug.html#gaa169ff47c2d8cb7dd9ec4a0d32f12510">VX_PRINT</a>(zone, message,...)&nbsp;&nbsp;&nbsp;do { tivx_print((zone), &quot;[%s:%u] &quot;message, __FUNCTION__, __LINE__, ## __VA_ARGS__); } while (0)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The OpenVX Debugging Facility.  <a href="#gaa169ff47c2d8cb7dd9ec4a0d32f12510"></a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="gaa169ff47c2d8cb7dd9ec4a0d32f12510"></a><!-- doxytag: member="tivx_debug.h::VX_PRINT" ref="gaa169ff47c2d8cb7dd9ec4a0d32f12510" args="(zone, message,...)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define VX_PRINT</td>
          <td>(</td>
          <td class="paramtype">zone, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">message, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"> <em>...</em>&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;do { tivx_print((zone), &quot;[%s:%u] &quot;message, __FUNCTION__, __LINE__, ## __VA_ARGS__); } while (0)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The OpenVX Debugging Facility. </p>

</div>
</div>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="ga73f8b7d2888a862fd66f8f479eead7e6"></a><!-- doxytag: member="tivx_debug.h::tivx_debug_zone_e" ref="ga73f8b7d2888a862fd66f8f479eead7e6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__group__vx__debug.html#ga73f8b7d2888a862fd66f8f479eead7e6">tivx_debug_zone_e</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>These are the bit flags for debugging. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6aa19e0c8703dcf780cb8ab61c0efacc0a"></a><!-- doxytag: member="VX_ZONE_ERROR" ref="gga73f8b7d2888a862fd66f8f479eead7e6aa19e0c8703dcf780cb8ab61c0efacc0a" args="" -->VX_ZONE_ERROR</em>&nbsp;</td><td>
<p>Used for most errors </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6ace77c1c6899d7c6c59d400e4e4994e8a"></a><!-- doxytag: member="VX_ZONE_WARNING" ref="gga73f8b7d2888a862fd66f8f479eead7e6ace77c1c6899d7c6c59d400e4e4994e8a" args="" -->VX_ZONE_WARNING</em>&nbsp;</td><td>
<p>Used to warning developers of possible issues </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6aa37812d0dd2a5a69c52fe860d2f7e111"></a><!-- doxytag: member="VX_ZONE_API" ref="gga73f8b7d2888a862fd66f8f479eead7e6aa37812d0dd2a5a69c52fe860d2f7e111" args="" -->VX_ZONE_API</em>&nbsp;</td><td>
<p>Used to trace API calls and return values </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6a6b3ec6ddfa7a8fd71e010d4347667a5b"></a><!-- doxytag: member="VX_ZONE_INFO" ref="gga73f8b7d2888a862fd66f8f479eead7e6a6b3ec6ddfa7a8fd71e010d4347667a5b" args="" -->VX_ZONE_INFO</em>&nbsp;</td><td>
<p>Used to show run-time processing debug </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6a57e7db962a6cf774c1396511e97f538b"></a><!-- doxytag: member="VX_ZONE_PERF" ref="gga73f8b7d2888a862fd66f8f479eead7e6a57e7db962a6cf774c1396511e97f538b" args="" -->VX_ZONE_PERF</em>&nbsp;</td><td>
<p>Used to show performance information </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6afd03bede6f2f825c9aedc5a8c03516eb"></a><!-- doxytag: member="VX_ZONE_CONTEXT" ref="gga73f8b7d2888a862fd66f8f479eead7e6afd03bede6f2f825c9aedc5a8c03516eb" args="" -->VX_ZONE_CONTEXT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6a0bfdefe07821d074d25ccab85afc4cf2"></a><!-- doxytag: member="VX_ZONE_OSAL" ref="gga73f8b7d2888a862fd66f8f479eead7e6a0bfdefe07821d074d25ccab85afc4cf2" args="" -->VX_ZONE_OSAL</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6a1daf11c73347cad85751096ce4dc1fd6"></a><!-- doxytag: member="VX_ZONE_REFERENCE" ref="gga73f8b7d2888a862fd66f8f479eead7e6a1daf11c73347cad85751096ce4dc1fd6" args="" -->VX_ZONE_REFERENCE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6a711598b3ae9e933d0dc7c3f9849259f3"></a><!-- doxytag: member="VX_ZONE_ARRAY" ref="gga73f8b7d2888a862fd66f8f479eead7e6a711598b3ae9e933d0dc7c3f9849259f3" args="" -->VX_ZONE_ARRAY</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6a644a57c10d705024e8f9d3561151b122"></a><!-- doxytag: member="VX_ZONE_IMAGE" ref="gga73f8b7d2888a862fd66f8f479eead7e6a644a57c10d705024e8f9d3561151b122" args="" -->VX_ZONE_IMAGE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6af2dca20f9cf9ef98e3c95978be2c4105"></a><!-- doxytag: member="VX_ZONE_SCALAR" ref="gga73f8b7d2888a862fd66f8f479eead7e6af2dca20f9cf9ef98e3c95978be2c4105" args="" -->VX_ZONE_SCALAR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6ab194f925dfcc3578a1d91bb0c4348161"></a><!-- doxytag: member="VX_ZONE_KERNEL" ref="gga73f8b7d2888a862fd66f8f479eead7e6ab194f925dfcc3578a1d91bb0c4348161" args="" -->VX_ZONE_KERNEL</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6aa7f4d50c2660ab4a48b814c1ef2c74ad"></a><!-- doxytag: member="VX_ZONE_GRAPH" ref="gga73f8b7d2888a862fd66f8f479eead7e6aa7f4d50c2660ab4a48b814c1ef2c74ad" args="" -->VX_ZONE_GRAPH</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6abc5579797158498c7d2f2ab50117b1ca"></a><!-- doxytag: member="VX_ZONE_NODE" ref="gga73f8b7d2888a862fd66f8f479eead7e6abc5579797158498c7d2f2ab50117b1ca" args="" -->VX_ZONE_NODE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6ad8534e53bc822b147668fe60460079b1"></a><!-- doxytag: member="VX_ZONE_PARAMETER" ref="gga73f8b7d2888a862fd66f8f479eead7e6ad8534e53bc822b147668fe60460079b1" args="" -->VX_ZONE_PARAMETER</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6a6a43f2f5b061680be12cd130afb7f51e"></a><!-- doxytag: member="VX_ZONE_DELAY" ref="gga73f8b7d2888a862fd66f8f479eead7e6a6a43f2f5b061680be12cd130afb7f51e" args="" -->VX_ZONE_DELAY</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6a40b9cd204da933d489b200b4139dad75"></a><!-- doxytag: member="VX_ZONE_TARGET" ref="gga73f8b7d2888a862fd66f8f479eead7e6a40b9cd204da933d489b200b4139dad75" args="" -->VX_ZONE_TARGET</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6a40ed6ed797e8e72f5dd6164f55914f28"></a><!-- doxytag: member="VX_ZONE_LOG" ref="gga73f8b7d2888a862fd66f8f479eead7e6a40ed6ed797e8e72f5dd6164f55914f28" args="" -->VX_ZONE_LOG</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6afe119f8d2f8885ed623e54eaf9c428e9"></a><!-- doxytag: member="VX_ZONE_INIT" ref="gga73f8b7d2888a862fd66f8f479eead7e6afe119f8d2f8885ed623e54eaf9c428e9" args="" -->VX_ZONE_INIT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga73f8b7d2888a862fd66f8f479eead7e6a0f7851b66b71b06268e24f3dedb2a23f"></a><!-- doxytag: member="VX_ZONE_MAX" ref="gga73f8b7d2888a862fd66f8f479eead7e6a0f7851b66b71b06268e24f3dedb2a23f" args="" -->VX_ZONE_MAX</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga0e8f0fde3cb77b439a7959c81be96eae"></a><!-- doxytag: member="tivx_debug.h::tivx_print" ref="ga0e8f0fde3cb77b439a7959c81be96eae" args="(vx_enum zone, char *format,...)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivx_print </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>zone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&nbsp;</td>
          <td class="paramname"> <em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>...</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal Printing Function. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>zone</em>&nbsp;</td><td>The debug zone from <a class="el" href="group__group__vx__debug.html#ga73f8b7d2888a862fd66f8f479eead7e6">tivx_debug_zone_e</a>. </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>format</em>&nbsp;</td><td>The format string to print. </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>...</em>&nbsp;</td><td>The variable list of arguments. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga5797ddae3c7bdb48c9ebb0e466f841f4"></a><!-- doxytag: member="tivx_debug.h::tivx_set_debug_zone" ref="ga5797ddae3c7bdb48c9ebb0e466f841f4" args="(vx_enum zone)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivx_set_debug_zone </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>zone</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets a zone bit in the debug mask. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>zone</em>&nbsp;</td><td>The debug zone from <a class="el" href="group__group__vx__debug.html#ga73f8b7d2888a862fd66f8f479eead7e6">tivx_debug_zone_e</a>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gabe8239f2d4f812db4c3d345fd9d898da"></a><!-- doxytag: member="tivx_debug.h::tivx_clr_debug_zone" ref="gabe8239f2d4f812db4c3d345fd9d898da" args="(vx_enum zone)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivx_clr_debug_zone </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>zone</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clears the zone bit in the mask. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>zone</em>&nbsp;</td><td>The debug zone from <a class="el" href="group__group__vx__debug.html#ga73f8b7d2888a862fd66f8f479eead7e6">tivx_debug_zone_e</a>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gabb928f9e14e697cdc570f987406f355d"></a><!-- doxytag: member="tivx_debug.h::tivx_get_debug_zone" ref="gabb928f9e14e697cdc570f987406f355d" args="(vx_enum zone)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> tivx_get_debug_zone </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>zone</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns true or false if the zone bit is set or cleared. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>zone</em>&nbsp;</td><td>The debug zone from <a class="el" href="group__group__vx__debug.html#ga73f8b7d2888a862fd66f8f479eead7e6">tivx_debug_zone_e</a>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
